On Mon, 06 Apr 2009 19:13:06 +0000
af300...@gmail.com wrote:

> Hi,
> 
> I saw Zend in the ports and so I'm hoping that some here use it and
> can help me with this one. I've installed the latest stable Zend,
> which is a little newer than what I found in ports, and I'm running
> PHP version 5.2.8 (which I did install from ports). I'm going through
> the Zend QuickStart guide  
> (http://framework.zend.com/docs/quickstart/create-an-action-controller-and-view),
>   
> and ran into this error when loading the page at this point of the
> quick start;
> 
> Fatal error: Uncaught exception 'Zend_Exception' with message
> 'spl_autoload does not exist in this PHP installation' in  
> /usr/local/www/apache22/data/QuickStart/library/Zend/Loader.php:206
> Stack trace:
> #0 /usr/local/www/apache22/data/QuickStart/public/index.php(18):
> Zend_Loader::registerAutoload() #1 {main} thrown
> in /usr/local/www/apache22/data/QuickStart/library/Zend/Loader.php on
> line 206
> 
> I've searched through the ports looking for auto and load in php5
> modules and I've found nothing (I did my searching at
> freshports.org). I then did a make config in the /usr/ports/lang/php5
> directory but didn't see a check box for spl_autoload in the options.
> How do I get this installed in my PHP installation?
> 


cd /usr/ports/devel/php5-spl
make install clean



HTH,
GM
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "freebsd-questions-unsubscr...@freebsd.org"

Reply via email to